Subject: Big sized packets have been dropped strangly

From: gshan <[email-masked]>
Date: Wed, 04 Jul 2007 17:11:09 +0800

Hey Guys,

I got a strange problem recently but no ideas, so to post the question 
here. We have a FPGA what finish ATM AAL5 to ethernet frame, and CPU 
receives IP packets from it. The interface based on the FPGA (called 
sar0) has been bound with several IP addresses. When the MTU of the 
interface is configurated to 1500, trivial packets can be received, but 
big-sized packets are dropped. If the MTU is increased to 9500, 
everything is ok except the NFS connection. We mounted with another 
machine through sar0. When the MTU is 9500, the speed of the NFS becomes 
very very slow (it almost took 10 minutes to transfer 100KB files).

I don't know why it is and how to solve it. Any suggestions are appreciated!

Thanks,
Gavin